Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting a frame

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 May 2020 09:21:12 +0300

> From: Noam Postavsky <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Fri, 22 May 2020 22:58:53 -0400
> 
> >>> (emacs:4258): GLib-CRITICAL **: 10:02:32.377: Source ID 356 was not found when attempting to remove it
> >>>
> >>> issue though, just like the more intrusive fix I posted earlier.
> >>
> >> Oh, hmm, I don't get that (with or without the patch) here actually.
> >
> > I still get it but it may need a couple of C-x 5 2's and possibly
> > showing the tooltip on different locations.
> 
> Ah, I did manage to get it after repeating about 10 times.  Following
> https://stackoverflow.com/questions/23199699/glib-critical-source-id-xxx-was-not-found-when-attempting-to-remove-it
> I got a backtrace by putting a breakpoint on g_log.  Not sure what to do
> about it though.

Did you succeed in understanding what is that "ID 356" about which it
complains, and why it wasn't found?